Package org.apache.any23.source

## Class FileDocumentSource

- java.lang.Object
- - org.apache.any23.source.FileDocumentSource

- All Implemented Interfaces:
    `org.apache.any23.source.DocumentSource`

      public class FileDocumentSource
      extends Object
      implements org.apache.any23.source.DocumentSource

  File implementation of `DocumentSource`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileDocumentSource​(File file)` |
    `FileDocumentSource​(File file, String baseIRI)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getContentLength()` |
    `String` | `getContentType()` |
    `String` | `getDocumentIRI()` |
    `boolean` | `isLocal()` |
    `InputStream` | `openInputStream()` |
    `String` | `readStream()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileDocumentSource

          public FileDocumentSource​(File file)

    - #### FileDocumentSource

          public FileDocumentSource​(File file,
                                    String baseIRI)

  - ### Method Detail

    - #### openInputStream

          public InputStream openInputStream()
                                      throws IOException

      Specified by:
        `openInputStream` in interface `org.apache.any23.source.DocumentSource`
      Throws:
        `IOException`

    - #### getContentLength

          public long getContentLength()

      Specified by:
        `getContentLength` in interface `org.apache.any23.source.DocumentSource`

    - #### getDocumentIRI

          public String getDocumentIRI()

      Specified by:
        `getDocumentIRI` in interface `org.apache.any23.source.DocumentSource`

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `org.apache.any23.source.DocumentSource`

    - #### isLocal

          public boolean isLocal()

      Specified by:
        `isLocal` in interface `org.apache.any23.source.DocumentSource`

    - #### readStream

          public String readStream()
                            throws IOException

      Throws:
        `IOException`